% adjusts number of octaves to time smoothing window
%
%
% written by D. Maraun and J. Laehnemann
%

function [noctave] = adjustnoctave(N,dt,s0,tw,noctave);

  if (tw>0)  
    dumno = fix((log(N*dt)-log(2*tw*s0))/log(2));
    if (dumno<noctave)
      Message_adjustnoctave = '# noctave adjusted to time smoothing window'
      noctave=dumno;
      end;
    end;
  
end
